Prepar3DV4 Compatibility

Post Reply
Flyboy53
Posts: 1

Re: Prepar3DV4 Compatibility Updates

Post by Flyboy53 » Sat Jun 10, 2017 3:45 pm

Arent p3d V4 addons supposed to go in external folders?
How will that affect p3d V4 in future??
martin[flytampa] wrote:
doublebubble wrote:Excuse me for sounding a little confused but I want to get this right, so I install my FlyTampa airports V3 compatible into V4 first and then unzip the updated installer for the relevent FlyTampa airport and run the exe?

Cheers Rod.


Those installers are for FSX and P3D. For P3Dv4 you need will need to select the main/root Prepar3D V4 folder during installation. Once that is done, you download the ZIP(s) from this thread and extract them so that they replace/overwrite the existing files in Prepar3D V4/FyTampa/Airport/... and follow the instructions on the first post of this thread.
BoazDK
Posts: 220

Re: Prepar3DV4 Compatibility Updates

Post by BoazDK » Sat Jun 10, 2017 6:04 pm

I have quite a few ADEX files I've worked on over the years, can I still use them under V4? I am asking since some of the files you put in your updates to V4 include the ADEX files.
martin[flytampa]
Site Admin
Posts: 5185

Re: Prepar3DV4 Compatibility Updates

Post by martin[flytampa] » Sat Jun 10, 2017 11:08 pm

I just notice I have the same buildings on my apron - even when Flytampa Kai Tak is not active.
I have a fairly clean P3D V4 installation (only FsDreamteam sceneries and PMDG aircraft) - and the FTX Global Base Pack for v4. Maybe ORBX Global is putting the building there?
I just checked V4 stock Hong Kong and these new buildings are in fact V4 autogen and not from another Addon. I will look in why they aren't being excluded.
hjmx
Posts: 34

Re: Prepar3DV4 Compatibility Updates

Post by hjmx » Sun Jun 11, 2017 5:49 am

Dubai Rebooted 2.4 Installer Message (during editing autogen entries): "P3D is running, close the simulator first". But the sim was definitely not running (I even did a Windows restart).

What can I do?

Harry
martin[flytampa]
Site Admin
Posts: 5185

Re: Prepar3DV4 Compatibility Updates

Post by martin[flytampa] » Sun Jun 11, 2017 9:31 am

hjmx wrote:Dubai Rebooted 2.4 Installer Message (during editing autogen entries): "P3D is running, close the simulator first". But the sim was definitely not running (I even did a Windows restart).

What can I do?

Harry
Odd. If you get this message at the end of the installation, all you need to do is check that the Scenery Library entries have been added, otherwise everything should be installed fine.

At the end of the installation it attempts to run the FlyTampa-Configurator, which check if FSX/P3D is running. That is probably why you get the error message. At the point it tries to run the Configurator the airport itself is already installed.
martin[flytampa]
Site Admin
Posts: 5185

Re: Prepar3DV4 Compatibility Updates

Post by martin[flytampa] » Sun Jun 11, 2017 9:31 am

hjmx wrote:Dubai Rebooted 2.4 Installer Message (during editing autogen entries): "P3D is running, close the simulator first". But the sim was definitely not running (I even did a Windows restart).

What can I do?

Harry
Odd. If you get this message at the end of the installation, all you need to do is check that the Scenery Library entries have been added, otherwise everything should be installed fine.

At the end of the installation it attempts to run the FlyTampa-Configurator, which check if FSX/P3D is running. That is probably why you get the error message. At the point it tries to run the Configurator the airport itself is already installed.
hjmx
Posts: 34

Re: Prepar3DV4 Compatibility Updates

Post by hjmx » Sun Jun 11, 2017 11:28 am

martin[flytampa] wrote:
hjmx wrote:Dubai Rebooted 2.4 Installer Message (during editing autogen entries): "P3D is running, close the simulator first". But the sim was definitely not running (I even did a Windows restart).

What can I do?

Harry
Odd. If you get this message at the end of the installation, all you need to do is check that the Scenery Library entries have been added, otherwise everything should be installed fine.

At the end of the installation it attempts to run the FlyTampa-Configurator, which check if FSX/P3D is running. That is probably why you get the error message. At the point it tries to run the Configurator the airport itself is already installed.

Thanks Martin. I think it installed correct. Was somehow irritating ...
JJdayo
Posts: 3

Re: Prepar3DV4 Compatibility Updates

Post by JJdayo » Sun Jun 11, 2017 10:40 pm

If I install EHAM WITHOUT the patch, it works fine. WITH the patch installed, the elevation is all out of whack. I'm lost here....
Benncpp15
Posts: 162

Re: Prepar3DV4 Compatibility Updates

Post by Benncpp15 » Mon Jun 12, 2017 10:22 am

I mainly use Xplane11 these days but still have to occasional p3d flight.

Can you please please provide real installers please. Its 2017 & copying our own files is ridiculous.

Please make some Xplane scenery.
bribeth
Posts: 4

Re: Prepar3DV4 Compatibility Updates

Post by bribeth » Tue Jun 13, 2017 8:23 pm

Benncpp15 wrote:I mainly use Xplane11 these days but still have to occasional p3d flight.

Can you please please provide real installers please. Its 2017 & copying our own files is ridiculous.

Please make some Xplane scenery.
Im pretty sure I read that they were going to make native installers and this method is just a stop gap. I'm also sure that having that attitude will make them want to get right on top of making X-Plane sceneries...sheesh.
robains
Posts: 33

Re: Prepar3DV4 Compatibility Updates

Post by robains » Wed Jun 14, 2017 11:35 am

Big thank you for doing all this work FlyTampa dev team, appreciate the V4 support, every airport option turned on and smooth sailing in P3D V4 ... first time I've actually been able to do that thanks to V4 64bit. Great times ahead.

Cheers, Rob.
stripealipe
Posts: 1

Re: Prepar3DV4 Compatibility Updates

Post by stripealipe » Wed Jun 14, 2017 2:28 pm

Any idea as to when the V4 installers will be updated and released? Really looking to buy a few of your airports now for V4 but would rather wait for the proper installers. Cheers, your scenery looks great!
Mephic
Posts: 3

Re: Prepar3DV4 Compatibility Updates

Post by Mephic » Wed Jun 14, 2017 4:11 pm

putting aside the installers, do you plan to actually update the sceneries to use dynamic lightning and other features of 64 bit platform? Will they be recoded or only the new ones will be written specifically for v4?
FarlisKaneebe
Posts: 8

Re: Prepar3DV4 Compatibility Updates

Post by FarlisKaneebe » Wed Jun 14, 2017 5:56 pm

Mephic wrote:putting aside the installers, do you plan to actually update the sceneries to use dynamic lightning and other features of 64 bit platform? Will they be recoded or only the new ones will be written specifically for v4?
Excellent question. I just read on PMDG's forum that the main reason for an unstable or underperforming v4 installation are sceneries that have not been recompiled using the v4 SDK.
Post Reply